Bug 994213 - mouse cursor disappears after resume
mouse cursor disappears after resume
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 994216 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 14:47 EDT by matthew gatto
Modified: 2015-02-17 11:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:37:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (357.44 KB, application/x-bzip)
2013-08-06 15:35 EDT, matthew gatto
no flags Details

  None (edit)
Description matthew gatto 2013-08-06 14:47:55 EDT
Description of problem:
After being resumed from sleep/suspension mode, the mouse cursor isn't visible. 

Steps to Reproduce:
1. Let computer go to sleep
2. Wake it up and login

Actual results:
Mouse cursor not visible.

Additional info: 
Type of mouse:
Aug  6 11:11:13 fedora-19 kernel: [46296.820273] hid-generic 0003:046D:C044.0006: input,hidraw0: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:14.0-1.2/input0
Aug  6 11:11:13 fedora-19 mtp-probe: checking bus 3, device 5: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.2"

I attached /var/log/messages.
Comment 1 matthew gatto 2013-08-06 15:35:38 EDT
Created attachment 783475 [details]
/var/log/messages
Comment 2 Bill Nottingham 2013-08-06 15:38:11 EDT
*** Bug 994216 has been marked as a duplicate of this bug. ***
Comment 3 Paolo Leoni 2013-08-24 10:36:44 EDT
Same problem here.
After resume, mouse pointer disappears, then I suspend again (lid closing) and after the second resume, mouse pointer reappears.
Comment 4 matthew gatto 2013-08-24 18:28:34 EDT
doing Alt-F2 and Alt-F1 again to switch to a vt and back makes it re-appear, but it's still kind of annoying nonetheless.
Comment 5 Kevin R. Page 2013-09-06 08:49:10 EDT
Also happening on a Thinkpad X201 and a Thinkpad X121e with xorg-x11-drv-intel-2.21.12-2.fc19.x86_64 and kernel-3.10.10-200.fc19.x86_64. Happens on resume from suspend.

Reappears with ctrl-alt-F4 and back.
Comment 6 Evan Nemerson 2013-09-06 14:40:15 EDT
I see this regularly on two desktops (an i5-2400/HD Graphics 2000 and an i3-2105/HD Graphics 3000) where suspending does not lock the screen, but I never see it on my laptop (i7-2630QM/HD Graphics 3000) where suspending does lock the screen.  All three systems are running F19.

The pointer disappears, but the system still acts like it is there (reacts to clicks, hover, etc).  Locking the screen seems to fix the issue as well.
Comment 7 Will Kemp 2013-09-26 00:39:08 EDT
This is happening on my Samsung Series 5 Ultrabook too.

Kernel: 3.11.1-200.fc19.x86_64 (and a couple of previous kernel versions too)
xorg-x11-server-Xorg-1.14.3-1.fc19.x86_64
xorg-x11-drv-intel-2.21.12-2.fc19.x86_64
Comment 8 Kurt Bechstein 2013-10-01 00:36:27 EDT
Also, having this problem on a Dell Latitude E6520.
Comment 9 Fedora End Of Life 2015-01-09 14:19:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 11:37:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.